%div#sticky-banner.top-announcement
  .hero-content
    The GitLab open source project is turning 10! 
    %a{:href => "https://about.gitlab.com/ten/"}
      %span.learn-more-cta Join the celebration
  #dismiss-trial
    = partial "/images/icons/x-current-color.svg"

:sass
  #sticky-banner.top-announcement
    background: #9B51E0
    padding: 1rem 5rem 1rem 1.75rem
    position: sticky
    top: 70px
    min-height: 60px
    z-index: 101
    display: flex
    align-items: center
    justify-content: space-evenly
    .hero-content
      color: #fff
      margin: 0
      text-align: center
      font-size: 23px
    a
      color: #fff
    .learn-more-cta
      margin-left: .25em
      display: inline-block
      text-decoration: underline

  #dismiss-trial
    width: 32px
    height: 32px
    line-height: 0
    padding: 1rem
    cursor: pointer
    color: #fff
    position: absolute
    right: 12px

  @media all and (max-width: 542px)
    #sticky-banner.top-announcement
      .hero-content
        font-size: 19px
      .learn-more-cta
        margin-left: 0
  
%script{src: "/javascripts/sticky-banner.js", type: "text/javascript"}
